Loading...
Searching...
No Matches
cast5.h File Reference

Public header for libavutil CAST5 algorithm. More...

`#include <stdint.h>`

Go to the source code of this file.

## Functions

struct AVCAST5 * | av_cast5_alloc (void)
| Allocate an AVCAST5 context To free the struct: av_free(ptr)
int | av_cast5_init (struct AVCAST5 *ctx, const uint8_t *key, int key_bits)
| Initialize an AVCAST5 context.
void | av_cast5_crypt (struct AVCAST5 *ctx, uint8_t *dst, const uint8_t *src, int count, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context, ECB mode only.
void | av_cast5_crypt2 (struct AVCAST5 *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.

## Variables

const int | av_cast5_size

## Detailed Description

Public header for libavutil CAST5 algorithm.

Definition in file cast5.h.